Subject: Re: [Anima] Pete Resnick's No Objection on charter-ietf-anima-00-09: (with COMMENT)

From: Benoit Claise <[email-masked]>
Date: Wed, 01 Oct 2014 16:34:21 +0200

Dear all,

See Pete's feedback on the charter text.

Regards, Benoit
> Pete Resnick has entered the following ballot position for
> charter-ietf-anima-00-09: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
>
> The document, along with other ballot positions, can be found here:
> http://datatracker.ietf.org/doc/charter-ietf-anima/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> This is right on the borderline of "Block" for me. I have no objection to
> the basic work to be done at all, but there's a bunch of stuff in this
> charter that is unclear to me. I really hope you'll do an edit pass
> before external review. Overall, I think the text of this charter is
> unwieldy and needs to be reduced to make it clearer. Specific comments
> below.
>
> 1st paragraph:
>
>     An autonomic function works in a distributed way across various
>     network elements, but allowing central guidance and reporting, and
>     co-existence with non-autonomic methods of management.
>
> Do all autonomic functions work distributed? I'm not sure what this
> means.
>
>     s/behaviors/functions
>
> It seems like you switched terminology for no particular reason.
>
> 2nd paragraph: (nit) s/healing and optimization/healing, and
> optimization
> (I actually was momentarily confused as to what the four were.)
>
> Seems like the 3rd paragraph could be reduced.
>
> I'm not sure what purpose the 4th paragraph serves. Sounds more like the
> intro to a document this WG should produce. I would strike it.
>
> 6th paragraph:
>
>     The infrastructure should be capable of
>
> Don't you mean "The components should be capable of"?
>
> 9th paragraph:
>
>     Definition of a discovery functionality for autonomic functions
>
> I don't understand what that means. By "functionality" do you mean
> protocol?
>
> 10th paragraph. First, let me just correct the English:
>
>     Each proposal should have its own motivation and complete workflow as
>     an autonomic process. The design of these proposals should clearly
>     target reusability in other use cases. The WG will verify all
>     proposed solutions to make sure the components are reusable,
>     necessary, and sufficient.
>
> But even with that done, I'm not at all sure what the above means. Does
> the first sentence simply mean that the document should not normatively
> reference each other, or is it saying something else? And the last
> sentence seems repetitive and obvious. Does it mean something that I'm
> missing?
>
> 11th paragraph: Does the first sentence simply mean, "In addition, the WG
> will develop solutions for the following two use cases:"? Perhaps you
> could say that. :-)
>
>
> .
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 02 Oct 2014 11:37:25 +1300

On 02/10/2014 03:34, Benoit Claise wrote:
...
>> Do all autonomic functions work distributed? I'm not sure what this

If they aren't distributed, they just aren't candidates for protocol work.
I think the logic of this sentence needs adjustment.

>> It seems like you switched terminology for no particular reason.

Well, a behavior is externally observable but a function might not be.
However, I agree we don't need that subtlety in the charter.

>> (I actually was momentarily confused as to what the four were.)

OK

>> intro to a document this WG should produce. I would strike it.

It was added because people said the scope and goals were unclear (because
the 3rd paragraph was too short ;-).

>> Don't you mean "The components should be capable of"?

OK

>> I don't understand what that means. By "functionality" do you mean

 Definition of a discovery protocol for autonomic nodes.

>> reference each other, or is it saying something else? 

Yes, I think the intention is that each case is fully self-contained.

>> And the last

It reflects concerns in the community that the choice of components
we make today may be insufficient for the long term - so each use case
solution needs to be used to check that the components are adequate.

>> will develop solutions for the following two use cases:"? Perhaps you

Yes

    Brian

---

From: Benoit Claise <[email-masked]>
Date: Tue, 07 Oct 2014 23:56:10 +0200

> Yes, I think the intention is that each case is fully self-contained.
Actually, I don't understand the sentence "Each proposal should have its 
own motivation and complete workflow as an autonomic process." sentence 
myself.

Regards, Benoit

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 08 Oct 2014 13:09:54 +1300

> own motivation and complete workflow as an autonomic process." sentence

I agree. But looking at the -11 version I see another logical glitch
in this area. I suggest:

OLD:
The design of these proposals should clearly target reusability in other use
cases.

In addition, the WG will develop solutions for the following two use cases:

NEW:
The design of these proposals should clearly target reusability.

In addition, the WG will develop solutions for the following two use cases,
to assist in verifying this reusability:

   Brian

---

From: Benoit Claise <[email-masked]>
Date: Wed, 08 Oct 2014 12:26:29 +0200

Hi Brian,

Good catch.

Regards, Benoit